Package org.eclipse.pde.build

## Interface Constants

    public interface Constants

Constants for the files usually manipulated by the fetch factory.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static String` `BUNDLE_FILENAME_DESCRIPTOR` Constant for the string `META-INF/MANIFEST.MF`
`static String` `FEATURE_FILENAME_DESCRIPTOR` Constant for the string `feature.xml`
`static String` `FRAGMENT_FILENAME_DESCRIPTOR` Constant for the string `fragment.xml`
`static String` `KEY_SOURCE_REFERENCES` Key used to store the value of a project reference in the Eclipse-SourceReferences manifest header.
`static String` `PLUGIN_FILENAME_DESCRIPTOR` Constant for the string `plugin.xml`

### Field Detail

#### FEATURE_FILENAME_DESCRIPTOR

    static final String FEATURE_FILENAME_DESCRIPTOR

Constant for the string `feature.xml`

See Also:
  Constant Field Values

#### FRAGMENT_FILENAME_DESCRIPTOR

    static final String FRAGMENT_FILENAME_DESCRIPTOR

Constant for the string `fragment.xml`

See Also:
  Constant Field Values

#### PLUGIN_FILENAME_DESCRIPTOR

    static final String PLUGIN_FILENAME_DESCRIPTOR

Constant for the string `plugin.xml`

See Also:
  Constant Field Values

#### BUNDLE_FILENAME_DESCRIPTOR

    static final String BUNDLE_FILENAME_DESCRIPTOR

Constant for the string `META-INF/MANIFEST.MF`

See Also:
  Constant Field Values

#### KEY_SOURCE_REFERENCES

    static final String KEY_SOURCE_REFERENCES

Key used to store the value of a project reference in the Eclipse-SourceReferences manifest header.

Since:
  3.6
See Also:
  `IFetchFactory`, Constant Field Values